#!/usr/bin/env python
# vim: set fileencoding=utf-8 :
# Andre Anjos <andre.anjos@idiap.ch>
# Wed 28 Sep 2011 14:03:51 CEST

"""Installation instructions for tabularasa-stk
"""

from setuptools import setup, find_packages

setup(

    name = "trstk",
    version = "1.0.2",
    packages = find_packages(),

    # we also need all translation files and templates
    package_data = {
      'trstk': [
        ],
      },

    entry_points = {
      'console_scripts': [
        'plotDET.py = trstk.script.plotDET:main',
        'checkModalities.py = trstk.script.checkModalities:main',
        ],
      },

    zip_safe=False,

    install_requires = [
      'sphinx',
      'numpy',
      'matplotlib>=1.0',
      ],

    # metadata for upload to PyPI
    author = "Andre Anjos",
    author_email = "andre.anjos@idiap.ch",
    description = "TABULA RASA (EU-project) plotting/score checking tool",
    license = "GPLv3",
    keywords = ["biometrics", "spoofing", "scoring", "det", "tabula rasa"],
    url = "http://www.tabularasa-euproject.org/",

    classifiers = [
      "Programming Language :: Python",
      "Development Status :: 4 - Beta",
      "Environment :: Other Environment",
      "Intended Audience :: Science/Research",
      "License :: OSI Approved :: GNU General Public License (GPL)",
      "Operating System :: OS Independent",
      "Topic :: Scientific/Engineering :: Mathematics",
      "Topic :: Scientific/Engineering :: Artificial Intelligence",
      "Topic :: Scientific/Engineering :: Visualization",
      ],

    long_description = open('README.txt', 'rt').read(),

    )
